## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iGenMeshSkeletonControlState Struct Reference
[Mesh plugins, Mesh plugins]

This interface describes the API for setting up the skeleton animation control as implemented by the 'gmeshskelanim' plugin. More...

`#include <imesh/gmeshskel.h>`

Inheritance diagram for iGenMeshSkeletonControlState:

[legend]
List of all members.

## Public Member Functions

virtual iGenMeshSkeletonScript * | Execute (const char *scriptname)=0
| Execute the given animation script.
virtual iGenMeshSkeletonBone * | FindBone (const char *name)=0
| Get bone by name.
virtual iGenMeshSkeletonScript * | FindScript (const char *scriptname)=0
| Get script by name.
virtual csVector3 * | GetAnimatedFaceNormals ()=0
| Get animated face normals.
virtual int | GetAnimatedFaceNormalsCount ()=0
| Get animated face normals count.
virtual csVector3 * | GetAnimatedVertices ()=0
| Get animated vertices.
virtual int | GetAnimatedVerticesCount ()=0
| Get animated vertices count.
virtual csVector3 * | GetAnimatedVertNormals ()=0
| Get animated vertices normals.
virtual int | GetAnimatedVertNormalsCount ()=0
| Get animated vertices normals count.
virtual iGenMeshSkeletonBone * | GetBone (int i)=0
| Get bone by id.
virtual int | GetBonesCount ()=0
| Get skeleton bones count.
virtual iGenMeshSkeletonControlFactory * | GetFactory ()=0
| Get factory.
virtual iGenMeshSkeletonScript * | GetScript (size_t i)=0
| Get script by id.
virtual size_t | GetScriptsCount ()=0
| Get number of running scripts.
virtual void | Stop (iGenMeshSkeletonScript *script)=0
| Stop execution of the given script.
virtual void | Stop (const char *scriptname)=0
| Stop execution of the given script by name.
virtual void | StopAll ()=0
| Stop execution of all animation scripts.

## Detailed Description

This interface describes the API for setting up the skeleton animation control as implemented by the 'gmeshskelanim' plugin.

The objects that implement iGenMeshSkeletonControlState also implement this interface.

Definition at line 63 of file gmeshskel.h.

## Member Function Documentation

virtual iGenMeshSkeletonScript* iGenMeshSkeletonControlState::Execute | ( | const char * | scriptname | ) | `[pure virtual]`

| Execute the given animation script. This will be done in addition to the scripts that are already running. Returns false in case of failure (usually a script that doesn't exist).

virtual iGenMeshSkeletonBone* iGenMeshSkeletonControlState::FindBone | ( | const char * | name | ) | `[pure virtual]`

| Get bone by name.

virtual iGenMeshSkeletonScript* iGenMeshSkeletonControlState::FindScript | ( | const char * | scriptname | ) | `[pure virtual]`

| Get script by name.

virtual csVector3* iGenMeshSkeletonControlState::GetAnimatedFaceNormals | ( |  | ) | `[pure virtual]`

| Get animated face normals.

virtual int iGenMeshSkeletonControlState::GetAnimatedFaceNormalsCount | ( |  | ) | `[pure virtual]`

| Get animated face normals count.

virtual csVector3* iGenMeshSkeletonControlState::GetAnimatedVertices | ( |  | ) | `[pure virtual]`

| Get animated vertices.

virtual int iGenMeshSkeletonControlState::GetAnimatedVerticesCount | ( |  | ) | `[pure virtual]`

| Get animated vertices count.

virtual csVector3* iGenMeshSkeletonControlState::GetAnimatedVertNormals | ( |  | ) | `[pure virtual]`

| Get animated vertices normals.

virtual int iGenMeshSkeletonControlState::GetAnimatedVertNormalsCount | ( |  | ) | `[pure virtual]`

| Get animated vertices normals count.

virtual iGenMeshSkeletonBone* iGenMeshSkeletonControlState::GetBone | ( | int | i | ) | `[pure virtual]`

| Get bone by id.

virtual int iGenMeshSkeletonControlState::GetBonesCount | ( |  | ) | `[pure virtual]`

| Get skeleton bones count.

virtual iGenMeshSkeletonControlFactory* iGenMeshSkeletonControlState::GetFactory | ( |  | ) | `[pure virtual]`

| Get factory.

virtual iGenMeshSkeletonScript* iGenMeshSkeletonControlState::GetScript | ( | size_t | i | ) | `[pure virtual]`

| Get script by id.

virtual size_t iGenMeshSkeletonControlState::GetScriptsCount | ( |  | ) | `[pure virtual]`

| Get number of running scripts.

virtual void iGenMeshSkeletonControlState::Stop | ( | iGenMeshSkeletonScript * | script | ) | `[pure virtual]`

| Stop execution of the given script.

virtual void iGenMeshSkeletonControlState::Stop | ( | const char * | scriptname | ) | `[pure virtual]`

| Stop execution of the given script by name.

virtual void iGenMeshSkeletonControlState::StopAll | ( |  | ) | `[pure virtual]`

| Stop execution of all animation scripts.

The documentation for this struct was generated from the following file:

- imesh/gmeshskel.h